VKD3D-COMPILER(1)

NAME
vkd3d-compiler - shader compiler for vkd3d

SYNOPSIS
vkd3d-compiler [options...] [file]

OPTIONS

-h, --help
    Display this information and exit.

--alias-double-as-float
    Treat 'double' as 'float' when compiling HLSL sources with shader model 1-3 target profiles.

-b <type>
    Specify the target type. Use --print-target-types to list the valid and default target types for a given source type.

--buffer-uav=<type>
    Specify the buffer type to use for buffer UAV bindings. Valid values are 'buffer-texture' (default) and 'storage-buffer'.

--child-effect
    Compile effect as a child effect. This option is only meaningful for fx_2_0 and fx_4_0/fx_4_1 profiles.

-e, --entry=<name>
    Use <name> as the entry point (default is "main").

-E  Preprocess the source code instead of compiling it.

--formatting=<flags>
    Specify the formatting options for text output. <flags> is a comma separated list of formatting flags, optionally prefixed by '+' or '-'. Valid flags are 'colour', 'indent', 'offsets', 'header', 'raw-ids', and 'signatures'. The 'indent' and 'header' flags are enabled by default.

--fragment-coordinate-origin=<origin>
    Specify the origin of fragment coordinates for SPIR-V targets. Valid values are 'upper-left' (default) and 'lower-left'. The only value supported by Vulkan environments is 'upper-left'.

--fx-include-empty-buffers
    Write empty constant buffers descriptions. This option is only meaningful for fx_4_0 and fx_4_1 profiles.

--matrix-storage-order=<order>
    Specify the default matrix storage order. Valid values are 'column' (default) and 'row'.

-o, --output=<file>
    Write the output to <file>. If <file> is '-' or no output file is specified, output will be written to standard output.

--print-source-types
    Display the supported source types and exit.

--print-target-types
    Display the supported target types for the specified source type and exit.

-p, --profile=<name>
    Specify the target shader profile for HLSL shaders.

--semantic-compat-map Map shader model 1-3 semantic names to shader model 4+
    system values when compiling HLSL sources.

--strip-debug
    Strip debug information from the output.

-V, --version
    Display version information and exit.

-x <type>
    Specify the type of the source. Use --print-source-types to list valid source types. The default source type is automatically detected from the input shader.

--  Stop option processing. Any subsequent argument is interpreted as a filename.

If the input file is '-' or not specified, input will be read from standard input.